# SpaceInfo(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceInfo`(Space)

  Info space data

  `show_report_debug`

    Display debug reporting info

    Type: | boolean, default False

  `show_report_error`

    Display error text

    Type: | boolean, default False

  `show_report_info`

    Display general information

    Type: | boolean, default False

  `show_report_operator`

    Display the operator log

    Type: | boolean, default False

  `show_report_warning`

    Display warnings

    Type: | boolean, default False

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`